cURL
curl --request GET \
--url https://api.valyx.com/billing/billingReport/filter \
--header 'X-Valyx-Signature: <x-valyx-signature>'import requests
url = "https://api.valyx.com/billing/billingReport/filter"
headers = {"X-Valyx-Signature": "<x-valyx-signature>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Valyx-Signature': '<x-valyx-signature>'}};
fetch('https://api.valyx.com/billing/billingReport/filter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'X-Valyx-Signature': '<x-valyx-signature>'}};
fetch('https://api.valyx.com/billing/billingReport/filter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.valyx.com/billing/billingReport/filter"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Valyx-Signature", "<x-valyx-signature>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.valyx.com/billing/billingReport/filter")
.header("X-Valyx-Signature", "<x-valyx-signature>")
.asString();
import Foundation
let url = URL(string: "https://api.valyx.com/billing/billingReport/filter")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["X-Valyx-Signature": "<x-valyx-signature>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.valyx.com/billing/billingReport/filter")
.get()
.addHeader("X-Valyx-Signature", "<x-valyx-signature>")
.build()
val response = client.newCall(request).execute()using RestSharp;
var options = new RestClientOptions("https://api.valyx.com/billing/billingReport/filter");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-Valyx-Signature", "<x-valyx-signature>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
falseAPIs
Filter Billing Reports
GET
/
billing
/
billingReport
/
filter
cURL
falseHeaders
Auth key for fetching ledger entries
Query Parameters
Bill ID associated with the billing report
Contract number associated with the billing report
Min limit filter for the total bill amount
Max limit filter for the total bill amount
Response
200
Success
⌘I